//
//  AWTableCell.m
//  AWTableView
//
//  Created by Ikuo Kudo on 12/07/12.
//  Copyright (c)  All rights reserved.
//
#import "AWTableCell.h"

@interface AWTableCell ()


@end

@implementation AWTableCell
@synthesize reuseIdentifier, column;
@synthesize image, title;

- ( id ) initWithFrame: ( CGRect ) frame
{
    self = [ super initWithFrame: frame ];
    if ( self ) {
        column = -1;
        [ self setBackgroundColor: [ UIColor grayColor ] ];
        
        title = [[UILabel alloc] initWithFrame:CGRectMake( 0, 40, 80, 20 ) ];
        title.font = [UIFont boldSystemFontOfSize:16.0f];
        title.textColor = [UIColor whiteColor];
        title.highlightedTextColor = [UIColor blackColor];	
        title.backgroundColor = [ UIColor grayColor ]; 
        [self addSubview: title ];
    }
    return self;
}

- ( void ) setImage:(UIImage *)img
{
    if( image ) [ image removeFromSuperview ];
    image = [[ UIImageView alloc ] initWithImage: img ];
    [ self addSubview: image ];
}



- (void)layoutSubviews
{
    CGRect  rect;
    
    [super layoutSubviews];
    
    CGRect  bounds;
    bounds = self.bounds;
    
    rect = self.frame;
    rect.origin = CGPointZero;
    rect.origin.y = - 15;
    image.frame = rect;

    rect.origin.y = 50;
    rect.size.height = 20.0f;
    title.frame = rect;
}


@end
