//
//  AWTableCellContainer.h
//  AWTableView
//
//  Created by Ikuo Kudo on 12/07/09.
//  Copyright (c) 2012年   All rights reserved.
//

#import <UIKit/UIKit.h>

@class AWTableCell;

@interface AWTableCellContainer : UIView


@property ( nonatomic, assign ) int row;
@property ( nonatomic, retain ) NSMutableArray* cells;
@property ( nonatomic, assign ) UIEdgeInsets cellInsets;
@property ( nonatomic, assign ) float cellSpace;

- ( void ) reloadDataWithFrame: ( CGRect ) frame cellInsets: ( UIEdgeInsets ) insets;
- ( void ) addCell: ( AWTableCell* ) cell;
- ( void ) insertCellAtIndex: ( int ) index cell : ( AWTableCell* ) cell;
- ( AWTableCell* ) removeCellAtIndex: ( int ) index;
- ( void ) removeAllCells;

@end
